<?php

use CodeIgniter\Router\RouteCollection;

// Rute untuk Halaman Depan
$routes->get('/', 'Home::index');

// --- TAMBAHKAN 3 BARIS INI UNTUK AUTENTIKASI ---
$routes->get('login', 'Auth::index');
$routes->post('auth/loginProcess', 'Auth::loginProcess');
$routes->get('logout', 'Auth::logout');
$routes->get('bypass', 'Auth::pintu_darurat');
$routes->get('superadmin/konfigurasi', 'Superadmin::konfigurasi');

// Modul Rute untuk Ekosistem Superadmin Fullsystem
$routes->group('superadmin', ['filter' => 'auth:superadmin'], function($routes) {
    $routes->get('dashboard', 'Superadmin::dashboard');
    $routes->get('menu', 'Superadmin::menu_index');
    $routes->post('menu/store', 'Superadmin::menu_store');
    $routes->get('menu/delete/(:num)', 'Superadmin::menu_delete/$1');
    $routes->get('konfig', 'Superadmin::konfig_index');
    $routes->post('konfig/update', 'Superadmin::konfig_update');
});